﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OACollectionExtension
{
    [Telerik.OpenAccess.Persistent(IdentityField = "orderID")]
    public class Order
    {
        private int orderID;
        private string customer;
        private DateTime orderDate;
        private CustomList<OrderDetail> orderDetails;

        public int OrderID
        {
            get { return orderID; }
            set { orderID = value; }
        }

        public string Customer
        {
            get { return customer; }
            set { customer = value; }
        }

        public DateTime OrderDate
        {
            get { return orderDate; }
            set { orderDate = value; }
        }

        public CustomList<OrderDetail> OrderDetails
        {
            get { return orderDetails; }
            set { orderDetails = value; }
        }
    }

    [Telerik.OpenAccess.Persistent(IdentityField = "detialId")]
    public class OrderDetail
    {
        private int detialId;
        private string product;
        private decimal price;

        public int DetialId
        {
            get { return detialId; }
            set { detialId = value; }
        }

        public string Product
        {
            get { return product; }
            set { product = value; }
        }

        public decimal Price
        {
            get { return price; }
            set { price = value; }
        }
    }
}
